import { Component, Host, h } from '@stencil/core';
export class SectionTitle {
    render() {
        return (h(Host, { role: "contentinfo" },
            h("footer", { class: "Footer" },
                h("p", { "aria-level": "1", class: "visuallyhidden", role: "heading" }, "Footer"),
                h("div", { class: "Footer--sub" },
                    h("div", { class: "Footer--row" },
                        h("div", { class: "Footer--column" },
                            h("div", { class: "Footer--list--left" },
                                h("slot", { name: "left" }))),
                        h("div", { class: "Footer--column Footer--social" },
                            h("div", { class: "Footer--social--list" },
                                h("slot", { name: "right" }))))),
                h("div", { class: "Footer--sub copyright" },
                    h("slot", { name: "bottom" })))));
    }
    static get is() { return "sr-footer"; }
    static get encapsulation() { return "shadow"; }
    static get delegatesFocus() { return true; }
    static get originalStyleUrls() { return {
        "$": ["_Footer-component.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["_Footer-component.css"]
    }; }
}
